Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1359385 - [abrt] WARNING: CPU: 1 PID: 10828 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm] [NEEDINFO]
Summary: [abrt] WARNING: CPU: 1 PID: 10828 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:8b3e93a00013f3dbfa48b9a5810...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-23 15:34 UTC by Jonathan Graham
Modified: 2017-08-08 15:48 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:48:50 UTC
fschwarz: needinfo?


Attachments (Terms of Use)
File: dmesg (deleted)
2016-07-23 15:34 UTC, Jonathan Graham
no flags Details

Description Jonathan Graham 2016-07-23 15:34:36 UTC
Description of problem:
This problem occurs almost immediately on boot, and will happen every time.

This problem results in a Kernel Taint being set (Flag W for warning), making any further kernel bugs not reportable.

The graphics performance seems to otherwise work normally once boot sequence completes.

Additional info:
reporter:       libreport-2.7.2
WARNING: CPU: 1 PID: 10828 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]
vblank wait timed out on crtc 1
Modules linked in: lp parport fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ccm ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security ebtable_filter ebtables ip6table_filter ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev snd_hda_codec_hdmi media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic snd_hda_intel snd_hda_codec coretemp arc4 snd_hda_core iwl4965 joydev i2c_i801 iwlegacy
 snd_hwdep mac80211 snd_seq snd_seq_device snd_pcm lpc_ich snd_timer snd toshiba_acpi sparse_keymap wmi toshiba_bluetooth soundcore cfg80211 rfkill shpchp acpi_cpufreq tpm_tis tpm binfmt_misc dm_crypt i915 serio_raw ums_realtek ata_generic pata_acpi i2c_algo_bit drm_kms_helper r8169 uas drm usb_storage mii fjes video
CPU: 1 PID: 10828 Comm: Xorg Tainted: G        W       4.6.3-300.fc24.x86_64 #1
Hardware name: TOSHIBA Satellite L305/Base Board Product Name, BIOS 1.50 07/10/2008
 0000000000000286 00000000f62e7138 ffff88003378f868 ffffffff813dbcff
 ffff88003378f8b8 0000000000000000 ffff88003378f8a8 ffffffff810a740b
 0000052e00000286 ffff880035f7f000 0000000000000001 0000000000000000
Call Trace:
 [<ffffffff813dbcff>] dump_stack+0x63/0x84
 [<ffffffff810a740b>] __warn+0xcb/0xf0
 [<ffffffff810a748f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff810ea9d3>] ? finish_wait+0x53/0x70
 [<ffffffffc0040ed5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
 [<ffffffff810eac30>] ? prepare_to_wait_event+0xf0/0xf0
 [<ffffffffc016febd>] i9xx_crtc_disable+0x3d/0x450 [i915]
 [<ffffffffc01686ec>] ? intel_crtc_disable_planes+0xdc/0xf0 [i915]
 [<ffffffffc0174f88>] intel_atomic_commit+0x478/0x1640 [i915]
 [<ffffffffc003ff01>] ? vblank_disable_and_save+0x51/0x80 [drm]
 [<ffffffffc00598f2>] ? drm_atomic_check_only+0x182/0x600 [drm]
 [<ffffffffc0059da7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffc017b713>] intel_release_load_detect_pipe+0x23/0x80 [i915]
 [<ffffffffc01b7264>] intel_tv_detect+0x344/0x5d0 [i915]
 [<ffffffffc00c3f3b>] drm_helper_probe_single_connector_modes+0x30b/0x500 [drm_kms_helper]
 [<ffffffff817db102>] ? mutex_lock+0x12/0x30
 [<ffffffffc004ce11>] drm_mode_getconnector+0x361/0x3d0 [drm]
 [<ffffffff817db18b>] ? __mutex_unlock_slowpath+0x6b/0x90
 [<ffffffffc003e922>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffc004cab0>] ? drm_mode_getcrtc+0x140/0x140 [drm]
 [<ffffffff8125d4a3>] do_vfs_ioctl+0xa3/0x5d0
 [<ffffffff8125da49>] SyS_ioctl+0x79/0x90
 [<ffffffff817dd3f2>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 1 Jonathan Graham 2016-07-23 15:34:44 UTC
Created attachment 1183121 [details]
File: dmesg

Comment 2 Jonathan Graham 2016-11-18 05:05:36 UTC
Description of problem:
This problem occurs almost immediately on boot, and will happen every time.

This problem results in a Kernel Taint being set (Flag W for warning), making any further kernel bugs not reportable.

The graphics performance seems to otherwise work normally once boot sequence completes.

Version-Release number of selected component:
kernel-core-4.6.3-300.fc24

Additional info:
reporter:       libreport-2.7.2
cmdline:        BOOT_IMAGE=/vmlinuz-4.6.3-300.fc24.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap rd.md=0 rd.dm=0 vconsole.keymap=us rd.lvm.lv=fedora/root rd.luks.uuid=luks-017e32ea-1166-4051-a846-bdff1156daec rhgb quiet LANG=en_US.UTF-8
kernel:         4.6.3-300.fc24.x86_64
kernel_tainted_long: 
kernel_tainted_short: GW
pkg_fingerprint: 3247 4CF8 34EC 9CBA
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 10828 at drivers/gpu/drm/drm_irq.c:1326 drm_wait_one_vblank+0x1b5/0x1c0 [drm]
vblank wait timed out on crtc 1
Modules linked in: lp parport fuse xt_CHECKSUM ipt_MASQUERADE nf_nat_masquerade_ipv4 tun nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ccm ip_set nfnetlink ebtable_broute bridge stp llc ebtable_nat ip6table_mangle ip6table_raw ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_security iptable_mangle iptable_raw iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_security ebtable_filter ebtables ip6table_filter ip6_tables uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_core videodev snd_hda_codec_hdmi media snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_codec_generic snd_hda_intel snd_hda_codec coretemp arc4 snd_hda_core iwl4965 joydev i2c_i801 iwlegacy
 snd_hwdep mac80211 snd_seq snd_seq_device snd_pcm lpc_ich snd_timer snd toshiba_acpi sparse_keymap wmi toshiba_bluetooth soundcore cfg80211 rfkill shpchp acpi_cpufreq tpm_tis tpm binfmt_misc dm_crypt i915 serio_raw ums_realtek ata_generic pata_acpi i2c_algo_bit drm_kms_helper r8169 uas drm usb_storage mii fjes video
CPU: 1 PID: 10828 Comm: Xorg Tainted: G        W       4.6.3-300.fc24.x86_64 #1
Hardware name: TOSHIBA Satellite L305/Base Board Product Name, BIOS 1.50 07/10/2008
 0000000000000286 00000000f62e7138 ffff88003378f868 ffffffff813dbcff
 ffff88003378f8b8 0000000000000000 ffff88003378f8a8 ffffffff810a740b
 0000052e00000286 ffff880035f7f000 0000000000000001 0000000000000000
Call Trace:
 [<ffffffff813dbcff>] dump_stack+0x63/0x84
 [<ffffffff810a740b>] __warn+0xcb/0xf0
 [<ffffffff810a748f>] warn_slowpath_fmt+0x5f/0x80
 [<ffffffff810ea9d3>] ? finish_wait+0x53/0x70
 [<ffffffffc0040ed5>] drm_wait_one_vblank+0x1b5/0x1c0 [drm]
 [<ffffffff810eac30>] ? prepare_to_wait_event+0xf0/0xf0
 [<ffffffffc016febd>] i9xx_crtc_disable+0x3d/0x450 [i915]
 [<ffffffffc01686ec>] ? intel_crtc_disable_planes+0xdc/0xf0 [i915]
 [<ffffffffc0174f88>] intel_atomic_commit+0x478/0x1640 [i915]
 [<ffffffffc003ff01>] ? vblank_disable_and_save+0x51/0x80 [drm]
 [<ffffffffc00598f2>] ? drm_atomic_check_only+0x182/0x600 [drm]
 [<ffffffffc0059da7>] drm_atomic_commit+0x37/0x60 [drm]
 [<ffffffffc017b713>] intel_release_load_detect_pipe+0x23/0x80 [i915]
 [<ffffffffc01b7264>] intel_tv_detect+0x344/0x5d0 [i915]
 [<ffffffffc00c3f3b>] drm_helper_probe_single_connector_modes+0x30b/0x500 [drm_kms_helper]
 [<ffffffff817db102>] ? mutex_lock+0x12/0x30
 [<ffffffffc004ce11>] drm_mode_getconnector+0x361/0x3d0 [drm]
 [<ffffffff817db18b>] ? __mutex_unlock_slowpath+0x6b/0x90
 [<ffffffffc003e922>] drm_ioctl+0x152/0x540 [drm]
 [<ffffffffc004cab0>] ? drm_mode_getcrtc+0x140/0x140 [drm]
 [<ffffffff8125d4a3>] do_vfs_ioctl+0xa3/0x5d0
 [<ffffffff8125da49>] SyS_ioctl+0x79/0x90
 [<ffffffff817dd3f2>] entry_SYSCALL_64_fastpath+0x1a/0xa4

Comment 3 Felix Schwarz 2017-01-05 11:42:08 UTC
Do you still see the problem? I suspect with a 4.8 kernel you see "vblank wait timed out on crtc 0" (not crtc 1) and "i9xx_crtc_disable" is gone from the backtrace but still "intel_tv_detect"/"intel_release_load_detect_pipe" are still present, right?

If so this would be a duplicate of bug 1342755 (and ultimately upstream bug https://bugs.freedesktop.org/show_bug.cgi?id=93782).

Comment 4 Fedora End Of Life 2017-07-25 21:59:51 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2017-08-08 15:48:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.